//String: greeting
//Спросите у пользователя имя, и поприветствуйте его с помощью alert.
{
    const name = prompt('привет, как тебя зовут?');
    alert(`Привет ${name}!`);
}

//String: gopni4ek
//Попросите пользователя ввести строку через prompt. Используя split и join сделайте что бы после любой запятой следовало слово блин, 
{
    const name = prompt('Напиши тут пару слов, обязательно используй пару запятых');
    console.log(name);
    let words = name.split(',');
    alert(words.join(' блин,'));
}

//String: capitalize.
// Преобразуйте строку, введенную пользователем, таким образом, что бы первая буква становилась большой, а остальные - маленькими:
{
    let str = "cANBerRa";
    let result = str.toLowerCase();
    result = result[0].toUpperCase() + result.slice(1);
    console.log(result); //Canberra
}

//String: word count
//Посчитайте количество слов в строке. Используйте разбиение по пробелам. Длина массива называется так же, как и длина строки.
{
    let str = prompt('введите пару предложений, а я посчитаю сколько слов получилось');
    str = str.split(" ");
    alert(str.length);
}

//String: credentials
/* Спросите у пользователя ФИО, используя prompt трижды. Выкиньте лишние пробелы, используя .trim
Используя String: capitalize сделайте так, что бы каждое слово в ФИО было с большой буквы, а остальные - маленькие
Объедините эти три строки в одну переменную fullName и выведите куда-то(alert, console.log). Не забудьте пробелы между словами. */
{
    let lastName = prompt('введите вашу фамилию.\nMожете добавить пару пробелов в конце или начале. Написать с маленькой буквы или даже сделать пару букв в середине фамилии большими, я все поправлю!');
    lastName = lastName.trim().toLowerCase();
    lastName = lastName[0].toUpperCase() + lastName.slice(1);
    let name = prompt('введите ваше имя');
    name = name.trim().toLowerCase();
    name = name[0].toUpperCase() + name.slice(1);
    let patronymic = prompt('введите ваше отчество');
    patronymic = patronymic.trim().toLowerCase();
    patronymic = patronymic[0].toUpperCase() + patronymic.slice(1);
    let fullName = lastName + " " + name + " " + patronymic;
    alert (fullName);
}

//String: beer
//Не используя .replace замените слово пиво в строке на слово чай
{
    let str = "Было жарко. Василий пил пиво вприкуску с креветками";
    let result = str.split('пиво').join('чай');//ваша магия
    console.log(result) //"Было жарко. Василий пил чай вприкуску с креветками"
}

//String: no tag
//Найдите в строке HTML тэг. Удалите, т. е. вырежьте его - создайте другую строку, в которой будет все символы до тэга и после него Тэг может быть любым
{
    let str = "какой-то текст в котором есть один тэг <br /> и всякое другое"    
    let tegIndexOpen = str.lastIndexOf('<');
    let tegIndexClose = str.lastIndexOf('>');
    let result = str.slice(0, tegIndexOpen) + str.slice(tegIndexClose + 1); //ваша магия
    console.log(result); //какой-то текст в котором есть один тэг  и всякое другое
}

//String: big tag
//На основе предыдущего задания сделайте тэг большими буквами:
{
    let str = "какой-то текст в котором есть один тэг <br /> и всякое другое"
    let tegIndexOpen = str.lastIndexOf('<');
    let tegIndexClose = str.lastIndexOf('>');
    let tegToUpperCase = str.slice(tegIndexOpen, tegIndexClose + 1).toUpperCase();
    let result = str.slice(0, tegIndexOpen) + tegToUpperCase + str.slice(tegIndexClose + 1); //ваша магия
    console.log(result); //какой-то текст в котором есть один тэг <BR /> и всякое другое
}

//String: new line
/*Попросите пользователя ввести строку через prompt. prompt не позволяет вводить многострочные строки. Дадим пользователю такую возможность - Пользователь может вводить \n в качестве маркера новой строки.
Используя split и join сделайте эту строку воистину многострочной и выведите в консоль или через alert.*/
{
    let str = prompt('введите несколько строк разделенных \\n');
    let result = str.split('\\n').join('\n');
    alert(result);
}

//String: youtube
/* Пусть пользователь введет любой текст с ссылкой на youtube. Используя регулярное выражение извлеките из ссылки идентификатор видоса и создайте строку с встраиваемым блоком HTML. Добавьте блок на страницу.
объявите константу с регулярным выражением
используйте метод match, который вернет вам массив
извлеките из массива элемент с идентификатором видео
изучите HTML код встраивания видео в страницу на youtube.
используя интерполяцию строк вклейте идентификатор видео в HTML код встраивания видео
используя document.write отправьте полученную строку на страницу. */

{
    const regexp = /(?:https?:)?(?:\/\/)?(?:www\.)?(?:youtu\.be\/|youtube(?:\-nocookie)?\.(?:[A-Za-z]{2,4}|[A-Za-z]{2,3}\.[A-Za-z]{2})\/)(?:watch|embed\/|vi?\/)*(?:\?[\w=&]*vi?=)?([^#&\?\/]{11}).*/;
    let youtubeId = prompt();
    youtubeId = youtubeId.match(regexp)[1];
    console.log(youtubeId);
    let youtubeEmbed = `<iframe width="560" height="315" src="https://www.youtube.com/embed/${youtubeId}" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>`;
    document.write(youtubeEmbed);
}